.select {
    height: 50px;
    font-weight: 300;
    font-size: 20px;
    line-height: 24px;
    color: var(--mid-grey);
    position: relative;
}

.select-body {
    display: flex;
    gap: 12px;
    align-items: center;
    cursor: pointer;
    user-select: none;
}

.label {
    font-weight: 500;
    text-align: right;
    color: var(--pure-white);
}

.select-button {
    border-radius: 4px;
    background-color: var(--dark-grey);
    padding: 13px 16px 12px 28px;
    color: var(--mid-grey);
    font-weight: 300;
    text-align: left;
    width: 422px;
    align-items: center;
    display: flex;
    justify-content: space-between;
}

.value {
    color: var(--pure-white);
}

.options-list {
    top: 60px;
    right: 0;
    width: 422px;
    height: 150px;
    overflow-y: scroll;
    position: absolute;
    background-color: var(--dark-grey);
    border-collapse: collapse;
    z-index: 100;
    box-shadow: 4px 4px 50px 0px rgba(0, 0, 0, 0.5);
}

.options-list::before {
    content: '';
    width: 100%;
    height: 20px;
    position: absolute;
    z-index: 2;
    left: 0;
    top: 0;
    background: linear-gradient(
        180deg,
        rgba(0, 0, 0, 0.2) 0%,
        rgba(0, 0, 0, 0.2) 0%,
        rgba(0, 0, 0, 0.15) 0.01%,
        rgba(0, 0, 0, 0) 100%
    );
}

.options-list > .option {
    cursor: pointer;
    height: 50px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    padding: 10px;
}

.options-list > .option:last-child {
    box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.2);
}

.options-list > .option:hover {
    background-color: var(--near-dark-grey);
}

.options-list > .option:hover::after {
    content: '';
    position: absolute;
    height: 50px;
    width: 3px;
    border-top-right-radius: 16px;
    border-bottom-right-radius: 16px;
    left: 0;
    background-color: var(--primary-accent);
}
